Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231441 - Review Request: aspell-pa - Aspell Punjabi Dictionary
Summary: Review Request: aspell-pa - Aspell Punjabi Dictionary
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 12:04 UTC by A S Alam
Modified: 2013-07-03 00:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 03:48:19 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Modified Clean SPEC file (deleted)
2007-03-09 04:48 UTC, Parag AN(पराग)
no flags Details

Description A S Alam 2007-03-08 12:04:08 UTC
Spec URL:http://punjabi.sourceforge.net/dict/aspell-pa.spec
SRPM URL: http://punjabi.sourceforge.net/dict/aspell-pa-0.01-1.src.rpm
Description: Aspell dictionary for Punjabi
SOURCE tar files:
ftp://ftp.gnu.org/gnu/aspell/dict/0index.html

Comment 1 Parag AN(पराग) 2007-03-08 12:22:38 UTC
Mock build output is fine.
But rpmlint output on SRPM gave
W: aspell-pa rpm-buildroot-usage %build DEST_DIR = $RPM_BUILD_ROOT
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

W: aspell-pa rpm-buildroot-usage %build dictdir =
${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

W: aspell-pa rpm-buildroot-usage %build datadir =
${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.

And the usual output assumed on aspell rpms also reported on this package RPM
E: aspell-pa no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

E: aspell-pa only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.




Comment 2 Parag AN(पराग) 2007-03-09 04:48:08 UTC
Created attachment 149668 [details]
Modified Clean SPEC file 

Use this SPEC file and resubmit the package.

Comment 3 A S Alam 2007-03-09 05:47:51 UTC
thanks
following is link
SPEC:
http://punjabi.sourceforge.net/dict/aspell-pa.spec

SRPM:
http://punjabi.sourceforge.net/dict/aspell-pa-0.01-1.src.rpm

thanks

Comment 4 Parag AN(पराग) 2007-03-09 06:03:43 UTC
Review:
+ package builds in mock (development i386).
- rpmlint is NOT silent for SRPM and RPM.
  But following messages are ignorable
  E: aspell-pa no-binary
  E: aspell-pa only-non-binary-in-usr-lib
  E: aspell-pa configure-without-libdir-spec
+ SPEC file contains explanation about above warnings.
+ source files match upstream.
de336d6ef55ad6fa81f8903765c6c95d  aspell6-pa-0.01-1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Requires: aspell >= 12:0.60
+ Provides: aspell-pa = 0.01-1
+ Not a GUI APP.

APPROVED.

Comment 5 Jens Petersen 2007-03-09 13:26:30 UTC
You need to follow http://fedoraproject.org/wiki/CVSAdminProcedure
to request the cvs module and branches.

Comment 6 A S Alam 2007-03-12 08:42:21 UTC
New Package CVS Request
=======================
Package Name: aspell-pa
Short Description: Punjabi Dictionary for Aspell
Owners: aalam@redhat.com
Branches: devel
InitialCC: aalam@redhat.com

Comment 7 Warren Togami 2007-03-13 04:04:40 UTC
Please don't put the same person in both owner and intialcc.

Comment 8 A S Alam 2007-03-13 04:27:36 UTC
ok, thanks, changed
 New Package CVS Request
=======================
Package Name: aspell-pa
Short Description: Punjabi Dictionary for Aspell
Owners: aalam@redhat.com
Branches: devel
InitialCC: panemade@gmail.com

Comment 9 A S Alam 2007-03-22 03:48:19 UTC
Package is available with following details:
aspell-pa.i386                           0.01-1.fc7 

Comment 10 Parag AN(पराग) 2008-08-12 04:56:46 UTC
Package Change Request
======================
Package Name: aspell-pa
New Branches: EL-4 EL-5

Comment 11 Kevin Fenzi 2008-08-12 05:32:41 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.